variables:
  natures:
  - asdf

  lisp.fasl-cache-directory: ${toolkit.dir}/var/cache/common-lisp/

  lisp.environment:
  - ASDF_OUTPUT_TRANSLATIONS=(:output-translations (t (\"${lisp.fasl-cache-directory}\" :implementation)) :ignore-inherited-configuration)
  - LD_LIBRARY_PATH=\${LD_LIBRARY_PATH}:${toolkit.dir}/lib
  lisp.environment.commands: |
    export "${lisp.environment:${mode}|${lisp.environment}}"

  extra-requires:
  - nature: program
    target: cl-launch
  - nature: meta
    target: quicklisp

aspects:
- name: common-lisp-executable.shell
  aspect: shell
  conditions:
    job.tags: unix
  variables:
    aspect.shell.command: ${shell.command}
